#
# spec file for package python-daemonize
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-daemonize
Version:        2.4.7
Release:        4.1
Summary:        Python module to launch code as a daemon process
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thesharp/daemonize
Source:         https://files.pythonhosted.org/packages/source/d/daemonize/daemonize-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
daemonize is a library for writing system daemons in Python.

%prep
%setup -q -n daemonize-%{version}

%build

%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Jun 13 2017 jengelh@inai.de
- Trim redundant mentions from description.
* Fri Jun  2 2017 sebix+novell.com@sebix.at
- initial package
